/**
    日志审计管理
 include 授权范围审计  人员权限授权审计
 @author laiyh
 @Date 2020-09-30

 */

import axios from "@/utils/req";

const baseManageUrl = `/auditsvr/manage`;
const basePersionUrl = `/auditsvr/auth`;

// 授权范围列表
export const scopeTableUrl = `/usersvr/v2/admins/audit/_search`;

// 根据机构获取用户列表
export const persionTableUrl = `/auditsvr/audit/users`;

// 根据应用id 用户id 获取角色列表
export const roleTableUrl = `${basePersionUrl}/roleList/_search`;

// 授权范围审计详情
export function getAuditManageDetail(data) {
    return axios.get(`${baseManageUrl}/auditList/${data.type}/${data.id}`);
}

// 角色列表
export function roleListByUser(data) {
    return axios.post(`${basePersionUrl}/roleList/_search`, data);
}

// 人员授权情况详情
export function getAuditUserDetail(data) {
    return axios.get(`${basePersionUrl}/detail`, data);
}
